commit: ceff568ec25f068bd4c5aedd66e1c1c905d0804f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 2 00:39:56 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 3 16:10:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ceff568e
net-analyzer/thc-ipv6: EAPI 7, consistent style, misc QA
* Port to EAPI 7
* Drop unused eutils
* Missing || die
* Use standard ebuild "block structure"
* Sort DEPEND
* Use consistent semicolon style
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-analyzer/thc-ipv6/thc-ipv6-3.2-r1.ebuild | 42 ++++++++++++++++------------
net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild | 42 ++++++++++++++++------------
2 files changed, 48 insertions(+), 36 deletions(-)
diff --git a/net-analyzer/thc-ipv6/thc-ipv6-3.2-r1.ebuild
b/net-analyzer/thc-ipv6/thc-ipv6-3.2-r1.ebuild
index 71f98da3f73..396a0b2a216 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-3.2-r1.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-3.2-r1.ebuild
@@ -1,46 +1,52 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-[[ ${PV} == *9999 ]] && SCM="git-r3"
-EGIT_REPO_URI="https://github.com/vanhauser-thc/thc-ipv6.git"
-EGIT_BRANCH=master
+EAPI=7
-inherit eutils toolchain-funcs ${SCM}
+inherit toolchain-funcs
-DESCRIPTION="complete tool set to attack the inherent protocol weaknesses of
IPV6 and ICMP6"
+DESCRIPTION="Complete tool set to attack the inherent protocol weaknesses of
IPV6 and ICMP6"
HOMEPAGE="https://www.thc.org/thc-ipv6/"
-LICENSE="AGPL-3 openssl"
-SLOT="0"
-IUSE="ssl"
-if [[ ${PV} != *9999 ]]; then
+if [[ ${PV} == *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/vanhauser-thc/thc-ipv6.git"
+ EGIT_BRANCH=master
+ inherit git-r3
+else
SRC_URI="https://github.com/vanhauser-thc/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
-DEPEND="net-libs/libpcap
+LICENSE="AGPL-3 openssl"
+SLOT="0"
+IUSE="ssl"
+
+DEPEND="
net-libs/libnetfilter_queue
- ssl? ( dev-libs/openssl:0= )"
+ net-libs/libpcap
+ ssl? ( dev-libs/openssl:0= )
+"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${PN}-3.2-stdint.patch" )
src_unpack() {
- if [[ ${PV} != *9999 ]]; then
- default_src_unpack
- else
+ if [[ ${PV} == *9999 ]]; then
git-r3_src_unpack
fi
+
+ default
}
src_prepare() {
sed -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
-i Makefile || die
- if ! use ssl ; then
+
+ if ! use ssl; then
sed -e '/^HAVE_SSL/s:^:#:' \
- -i Makefile
+ -i Makefile || die
fi
+
default
}
diff --git a/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
b/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
index 71f98da3f73..396a0b2a216 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
@@ -1,46 +1,52 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-[[ ${PV} == *9999 ]] && SCM="git-r3"
-EGIT_REPO_URI="https://github.com/vanhauser-thc/thc-ipv6.git"
-EGIT_BRANCH=master
+EAPI=7
-inherit eutils toolchain-funcs ${SCM}
+inherit toolchain-funcs
-DESCRIPTION="complete tool set to attack the inherent protocol weaknesses of
IPV6 and ICMP6"
+DESCRIPTION="Complete tool set to attack the inherent protocol weaknesses of
IPV6 and ICMP6"
HOMEPAGE="https://www.thc.org/thc-ipv6/"
-LICENSE="AGPL-3 openssl"
-SLOT="0"
-IUSE="ssl"
-if [[ ${PV} != *9999 ]]; then
+if [[ ${PV} == *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/vanhauser-thc/thc-ipv6.git"
+ EGIT_BRANCH=master
+ inherit git-r3
+else
SRC_URI="https://github.com/vanhauser-thc/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
-DEPEND="net-libs/libpcap
+LICENSE="AGPL-3 openssl"
+SLOT="0"
+IUSE="ssl"
+
+DEPEND="
net-libs/libnetfilter_queue
- ssl? ( dev-libs/openssl:0= )"
+ net-libs/libpcap
+ ssl? ( dev-libs/openssl:0= )
+"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${PN}-3.2-stdint.patch" )
src_unpack() {
- if [[ ${PV} != *9999 ]]; then
- default_src_unpack
- else
+ if [[ ${PV} == *9999 ]]; then
git-r3_src_unpack
fi
+
+ default
}
src_prepare() {
sed -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
-i Makefile || die
- if ! use ssl ; then
+
+ if ! use ssl; then
sed -e '/^HAVE_SSL/s:^:#:' \
- -i Makefile
+ -i Makefile || die
fi
+
default
}